from lib.custom_logger import get_logger
from app_status import AppStatus

class JobBase():
    """ジョブの基底クラス"""    
    def __init__(self, name="JobBase"):
        self.logger = get_logger()
        self.name = name
        self.status = AppStatus()
        self.logger.info(f"{self.name} initialized")

    
    def execute(self):
        """ジョブの実行"""
        self.logger.info(f"{self.name} execute called")
        raise NotImplementedError("Subclasses must implement this method")
